unit frmmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, jsonparser, fpmustache;

type

  { TMainForm }

  TMainForm = class(TForm)
    BRender: TButton;
    lblTemplate: TLabel;
    lblJSON: TLabel;
    lblResult: TLabel;
    MTemplate: TMemo;
    MJSON: TMemo;
    MResult: TMemo;
    procedure BRenderClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FMustache: TMustache;
  public
  end;

var
  MainForm: TMainForm;

implementation

{$R *.lfm}

{ TMainForm }

procedure TMainForm.BRenderClick(Sender: TObject);
begin
  MResult.Text:=fMustache.Render(mTemplate.Text,mJSON.Text);
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  FMustache:=TMustache.Create(Self);
end;

end.

